Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.processor
Class TransactionalInterceptingMessageProcessor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.TransactionalInterceptingMessageProcessor

All Implemented Interfaces:
  MuleContextAware, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class TransactionalInterceptingMessageProcessor

extends AbstractInterceptingMessageProcessor

Wraps the invocation of the next `MessageProcessor` with a transaction. If the `TransactionConfig` is null then no transaction is used and the next `MessageProcessor` is invoked directly.

Field Summary
`protected TransactionConfig` | `transactionConfig`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Constructor Summary
`TransactionalInterceptingMessageProcessor(TransactionConfig transactionConfig)`

Method Summary
`MuleEvent` | `process(MuleEvent event)` Invokes the MessageProcessor.

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### transactionConfig

    protected TransactionConfig transactionConfig

Constructor Detail

### TransactionalInterceptingMessageProcessor

    public TransactionalInterceptingMessageProcessor(TransactionConfig transactionConfig)

Method Detail

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.